import { AssetService } from "@/services/asset.service"
import { ItemService } from "@/services/item.service"
import { RecipientService } from "@/services/recipient.service"

import AssignmentForm from "../_components/new.assignment.form"

export default async function NewAssignmentPage() {
  const recipients = await RecipientService.findAll()
  const items = await ItemService.findAllWithStock()
  const assets = await AssetService.findAllAvailable()

  return (
    <AssignmentForm recipients={recipients} items={items} assets={assets} />
  )
}
